Index: c/make/configure.in
===================================================================
--- c/make/configure.in	(revision 64f55e7c32cb7a2ff069f527ec28b1cfa71de31a)
+++ c/make/configure.in	(revision 1d9a2fc5abb83a5f37b10c63da8ccaf6ce0bda47)
@@ -19,4 +19,5 @@
 RTEMS_ENABLE_MULTIPROCESSING
 RTEMS_ENABLE_POSIX
+RTEMS_ENABLE_ITRON
 RTEMS_ENABLE_NETWORKING
 RTEMS_ENABLE_RDBG
@@ -46,4 +47,5 @@
 AC_SUBST(RTEMS_HAS_MULTIPROCESSING)
 AC_SUBST(RTEMS_HAS_POSIX_API)
+AC_SUBST(RTEMS_HAS_ITRON_API)
 AC_SUBST(RTEMS_HAS_NETWORKING)
 AC_SUBST(RTEMS_HAS_RDBG)
Index: c/src/exec/posix/include/rtems/posix/mutexmp.h
===================================================================
--- c/src/exec/posix/include/rtems/posix/mutexmp.h	(revision 64f55e7c32cb7a2ff069f527ec28b1cfa71de31a)
+++ c/src/exec/posix/include/rtems/posix/mutexmp.h	(revision 1d9a2fc5abb83a5f37b10c63da8ccaf6ce0bda47)
@@ -144,4 +144,17 @@
 
 /*
+ *  _POSIX_Threads_mutex_MP_support
+ *
+ *  DESCRIPTION:
+ *
+ *  This routine XXX
+ */
+
+void _POSIX_Threads_mutex_MP_support(
+  Thread_Control *the_thread,
+  Objects_Id      id
+);
+
+/*
  *  _POSIX_Mutex_MP_Get_packet
  *
Index: c/src/exec/rtems/include/rtems/rtems/sem.h
===================================================================
--- c/src/exec/rtems/include/rtems/rtems/sem.h	(revision 64f55e7c32cb7a2ff069f527ec28b1cfa71de31a)
+++ c/src/exec/rtems/include/rtems/rtems/sem.h	(revision 1d9a2fc5abb83a5f37b10c63da8ccaf6ce0bda47)
@@ -248,4 +248,18 @@
 );
 
+/*PAGE
+ *
+ *  _POSIX_Semaphore_MP_support
+ *
+ *  DESCRIPTION:
+ *
+ *  XXX
+ */
+
+void _POSIX_Semaphore_MP_support(
+  Thread_Control *the_thread,
+  Objects_Id      id
+);
+
 #ifndef __RTEMS_APPLICATION__
 #include <rtems/rtems/sem.inl>
Index: c/src/lib/configure.in
===================================================================
--- c/src/lib/configure.in	(revision 64f55e7c32cb7a2ff069f527ec28b1cfa71de31a)
+++ c/src/lib/configure.in	(revision 1d9a2fc5abb83a5f37b10c63da8ccaf6ce0bda47)
@@ -14,5 +14,4 @@
 RTEMS_ENABLE_MULTIPROCESSING
 RTEMS_ENABLE_NETWORKING
-RTEMS_ENABLE_RDBG
 RTEMS_ENABLE_LIBCDIR
 RTEMS_ENABLE_BARE
Index: c/src/lib/libbsp/powerpc/mcp750/console/console.c
===================================================================
--- c/src/lib/libbsp/powerpc/mcp750/console/console.c	(revision 64f55e7c32cb7a2ff069f527ec28b1cfa71de31a)
+++ c/src/lib/libbsp/powerpc/mcp750/console/console.c	(revision 1d9a2fc5abb83a5f37b10c63da8ccaf6ce0bda47)
@@ -46,8 +46,8 @@
  */
 
-int BSPConsolePort = BSP_UART_COM1;
+extern int BSPConsolePort;
 
 /* int BSPConsolePort = BSP_UART_COM2;  */
-int BSPBaseBaud    = 115200;
+extern int BSPBaseBaud;
 
 /*-------------------------------------------------------------------------+
@@ -85,4 +85,5 @@
 }
 
+/*
 void console_reserve_resources(rtems_configuration_table *conf)
 {
@@ -94,4 +95,5 @@
   return;
 }
+*/
 
 void __assert (const char *file, int line, const char *msg)
Index: c/src/lib/libbsp/powerpc/motorola_powerpc/console/console.c
===================================================================
--- c/src/lib/libbsp/powerpc/motorola_powerpc/console/console.c	(revision 64f55e7c32cb7a2ff069f527ec28b1cfa71de31a)
+++ c/src/lib/libbsp/powerpc/motorola_powerpc/console/console.c	(revision 1d9a2fc5abb83a5f37b10c63da8ccaf6ce0bda47)
@@ -46,8 +46,8 @@
  */
 
-int BSPConsolePort = BSP_UART_COM1;
+extern int BSPConsolePort;
 
 /* int BSPConsolePort = BSP_UART_COM2;  */
-int BSPBaseBaud    = 115200;
+extern int BSPBaseBaud;
 
 /*-------------------------------------------------------------------------+
@@ -85,4 +85,5 @@
 }
 
+/*
 void console_reserve_resources(rtems_configuration_table *conf)
 {
@@ -94,4 +95,5 @@
   return;
 }
+*/
 
 void __assert (const char *file, int line, const char *msg)
Index: c/src/tests/Makefile.am
===================================================================
--- c/src/tests/Makefile.am	(revision 64f55e7c32cb7a2ff069f527ec28b1cfa71de31a)
+++ c/src/tests/Makefile.am	(revision 1d9a2fc5abb83a5f37b10c63da8ccaf6ce0bda47)
@@ -8,4 +8,6 @@
 SUBDIRS = @subdirs@
 
+EXTRA_DIST = PROBLEMS
+
 include $(top_srcdir)/../../../automake/subdirs.am
 include $(top_srcdir)/../../../automake/local.am
Index: c/src/tests/itrontests/Makefile.am
===================================================================
--- c/src/tests/itrontests/Makefile.am	(revision 64f55e7c32cb7a2ff069f527ec28b1cfa71de31a)
+++ c/src/tests/itrontests/Makefile.am	(revision 1d9a2fc5abb83a5f37b10c63da8ccaf6ce0bda47)
@@ -6,14 +6,8 @@
 ACLOCAL_AMFLAGS = -I $(RTEMS_TOPdir)/aclocal
 
-project_bspdir = $(PROJECT_ROOT)/@RTEMS_BSP@
+SUBDIRS = itronhello itrontask01 itrontask02 itrontask03 itrontask04 \
+    itronmbf01 itronmbox01 itronsem01 itrontime01
 
-PREINSTALLDIRS = $(project_bspdir)/tests/screens/itrontests
-$(PREINSTALLDIRS):
-	@$(mkinstalldirs) $@
-
-all-local: $(PREINSTALLDIRS)
-
-SUBDIRS = . itronhello itrontask01 itrontask02 itrontask03 itrontask04 \
-    itronmbf01 itronmbox01 itronsem01 itrontime01
+EXTRA_DIST = itrontests.am
 
 include $(top_srcdir)/../../../../automake/subdirs.am
Index: c/src/tests/mptests/Makefile.am
===================================================================
--- c/src/tests/mptests/Makefile.am	(revision 64f55e7c32cb7a2ff069f527ec28b1cfa71de31a)
+++ c/src/tests/mptests/Makefile.am	(revision 1d9a2fc5abb83a5f37b10c63da8ccaf6ce0bda47)
@@ -6,17 +6,8 @@
 ACLOCAL_AMFLAGS = -I $(RTEMS_TOPdir)/aclocal
 
-project_bspdir=$(PROJECT_ROOT)/@RTEMS_BSP@
+SUBDIRS = mp01 mp02 mp03 mp04 mp05 mp06 mp07 mp08 mp09 mp10 mp11 mp12 mp13 \
+    mp14
 
-PREINSTALLDIRS = \
-    $(project_bspdir)/tests/screens/mptests \
-    $(project_bspdir)/tests/screens/mptests/node1 \
-    $(project_bspdir)/tests/screens/mptests/node2
-$(PREINSTALLDIRS):
-	@$(mkinstalldirs) $@
-
-all-local: $(PREINSTALLDIRS)
-
-SUBDIRS = . mp01 mp02 mp03 mp04 mp05 mp06 mp07 mp08 mp09 mp10 mp11 mp12 mp13 \
-    mp14
+EXTRA_DIST = mptests.am
 
 include $(top_srcdir)/../../../../automake/subdirs.am
Index: c/src/tests/mptests/configure.in
===================================================================
--- c/src/tests/mptests/configure.in	(revision 64f55e7c32cb7a2ff069f527ec28b1cfa71de31a)
+++ c/src/tests/mptests/configure.in	(revision 1d9a2fc5abb83a5f37b10c63da8ccaf6ce0bda47)
@@ -17,4 +17,5 @@
 RTEMS_ENABLE_LIBCDIR
 RTEMS_ENABLE_BARE
+RTEMS_ENABLE_MULTIPROCESSING
 
 RTEMS_ENV_RTEMSBSP
@@ -29,4 +30,5 @@
 
 RTEMS_CHECK_CUSTOM_BSP(RTEMS_BSP)
+RTEMS_CHECK_MULTIPROCESSING
 
 AC_SUBST(RTEMS_USE_GCC272)
@@ -37,4 +39,6 @@
 AC_SUBST(CC_CFLAGS_PROFILE_V)
 AC_SUBST(CC_LDFLAGS_PROFILE_V)
+
+AM_CONDITIONAL(HAS_MP,test "$HAS_MP" = "yes")
 
 # Try to explicitly list a Makefile here
Index: c/src/tests/tmitrontests/Makefile.am
===================================================================
--- c/src/tests/tmitrontests/Makefile.am	(revision 64f55e7c32cb7a2ff069f527ec28b1cfa71de31a)
+++ c/src/tests/tmitrontests/Makefile.am	(revision 1d9a2fc5abb83a5f37b10c63da8ccaf6ce0bda47)
@@ -6,16 +6,10 @@
 ACLOCAL_AMFLAGS = -I $(RTEMS_TOPdir)/aclocal
 
-project_bspdir = $(PROJECT_ROOT)/@RTEMS_BSP@
-
-PREINSTALLDIRS = $(project_bspdir)/tests/screens/psxtests
-$(PREINSTALLDIRS):
-	@$(mkinstalldirs) $@
-
-all-local: $(PREINSTALLDIRS)
-
 ITRON_DIRS = include tmitronsem01
 
 SUBDIRS = $(ITRON_DIRS)
 
+EXTRA_DIST = tmitrontests.am
+
 include $(top_srcdir)/../../../../automake/subdirs.am
 include $(top_srcdir)/../../../../automake/local.am
Index: c/src/tests/tmitrontests/configure.in
===================================================================
--- c/src/tests/tmitrontests/configure.in	(revision 64f55e7c32cb7a2ff069f527ec28b1cfa71de31a)
+++ c/src/tests/tmitrontests/configure.in	(revision 1d9a2fc5abb83a5f37b10c63da8ccaf6ce0bda47)
@@ -38,4 +38,7 @@
 AC_SUBST(CC_LDFLAGS_PROFILE_V)
 
+OPERATION_COUNT=${OPERATION_COUNT-100}
+AC_SUBST(OPERATION_COUNT)
+
 # Try to explicitly list a Makefile here
 AC_OUTPUT( 
Index: c/src/tests/tmitrontests/include/timesys.h
===================================================================
--- c/src/tests/tmitrontests/include/timesys.h	(revision 64f55e7c32cb7a2ff069f527ec28b1cfa71de31a)
+++ c/src/tests/tmitrontests/include/timesys.h	(revision 1d9a2fc5abb83a5f37b10c63da8ccaf6ce0bda47)
@@ -19,7 +19,8 @@
  *   How many times a particular operation is performed while timed.
  */
- 
+
+#ifndef OPERATION_COUNT 
 #define OPERATION_COUNT 100
-#define IT_COUNT        100
+#endif
 
 /* functions */
Index: c/src/tests/tmtests/include/timesys.h
===================================================================
--- c/src/tests/tmtests/include/timesys.h	(revision 64f55e7c32cb7a2ff069f527ec28b1cfa71de31a)
+++ c/src/tests/tmtests/include/timesys.h	(revision 1d9a2fc5abb83a5f37b10c63da8ccaf6ce0bda47)
@@ -36,5 +36,5 @@
 #define put_time( _message, _total_time, \
                   _iterations, _loop_overhead, _overhead ) \
-    printf( \
+    fprintf( stderr, \
       "%s %d\n", \
       (_message), \
Index: c/src/tests/tmtests/tm20/Makefile.am
===================================================================
--- c/src/tests/tmtests/tm20/Makefile.am	(revision 64f55e7c32cb7a2ff069f527ec28b1cfa71de31a)
+++ c/src/tests/tmtests/tm20/Makefile.am	(revision 1d9a2fc5abb83a5f37b10c63da8ccaf6ce0bda47)
@@ -19,5 +19,5 @@
 
 SRCS = $(DOCS) $(C_FILES) $(H_FILES)
-OBJS = $(C_O_FILES) ../../$(ARCH)/stubdr.rel
+OBJS = $(C_O_FILES) ../../support/stubdr/$(ARCH)/stubdr.rel
 
 PRINT_SRCS = $(DOCS)
Index: cpukit/posix/include/rtems/posix/mutexmp.h
===================================================================
--- cpukit/posix/include/rtems/posix/mutexmp.h	(revision 64f55e7c32cb7a2ff069f527ec28b1cfa71de31a)
+++ cpukit/posix/include/rtems/posix/mutexmp.h	(revision 1d9a2fc5abb83a5f37b10c63da8ccaf6ce0bda47)
@@ -144,4 +144,17 @@
 
 /*
+ *  _POSIX_Threads_mutex_MP_support
+ *
+ *  DESCRIPTION:
+ *
+ *  This routine XXX
+ */
+
+void _POSIX_Threads_mutex_MP_support(
+  Thread_Control *the_thread,
+  Objects_Id      id
+);
+
+/*
  *  _POSIX_Mutex_MP_Get_packet
  *
Index: cpukit/rtems/include/rtems/rtems/sem.h
===================================================================
--- cpukit/rtems/include/rtems/rtems/sem.h	(revision 64f55e7c32cb7a2ff069f527ec28b1cfa71de31a)
+++ cpukit/rtems/include/rtems/rtems/sem.h	(revision 1d9a2fc5abb83a5f37b10c63da8ccaf6ce0bda47)
@@ -248,4 +248,18 @@
 );
 
+/*PAGE
+ *
+ *  _POSIX_Semaphore_MP_support
+ *
+ *  DESCRIPTION:
+ *
+ *  XXX
+ */
+
+void _POSIX_Semaphore_MP_support(
+  Thread_Control *the_thread,
+  Objects_Id      id
+);
+
 #ifndef __RTEMS_APPLICATION__
 #include <rtems/rtems/sem.inl>
Index: testsuites/Makefile.am
===================================================================
--- testsuites/Makefile.am	(revision 64f55e7c32cb7a2ff069f527ec28b1cfa71de31a)
+++ testsuites/Makefile.am	(revision 1d9a2fc5abb83a5f37b10c63da8ccaf6ce0bda47)
@@ -8,4 +8,6 @@
 SUBDIRS = @subdirs@
 
+EXTRA_DIST = PROBLEMS
+
 include $(top_srcdir)/../../../automake/subdirs.am
 include $(top_srcdir)/../../../automake/local.am
Index: testsuites/itrontests/Makefile.am
===================================================================
--- testsuites/itrontests/Makefile.am	(revision 64f55e7c32cb7a2ff069f527ec28b1cfa71de31a)
+++ testsuites/itrontests/Makefile.am	(revision 1d9a2fc5abb83a5f37b10c63da8ccaf6ce0bda47)
@@ -6,14 +6,8 @@
 ACLOCAL_AMFLAGS = -I $(RTEMS_TOPdir)/aclocal
 
-project_bspdir = $(PROJECT_ROOT)/@RTEMS_BSP@
+SUBDIRS = itronhello itrontask01 itrontask02 itrontask03 itrontask04 \
+    itronmbf01 itronmbox01 itronsem01 itrontime01
 
-PREINSTALLDIRS = $(project_bspdir)/tests/screens/itrontests
-$(PREINSTALLDIRS):
-	@$(mkinstalldirs) $@
-
-all-local: $(PREINSTALLDIRS)
-
-SUBDIRS = . itronhello itrontask01 itrontask02 itrontask03 itrontask04 \
-    itronmbf01 itronmbox01 itronsem01 itrontime01
+EXTRA_DIST = itrontests.am
 
 include $(top_srcdir)/../../../../automake/subdirs.am
Index: testsuites/mptests/Makefile.am
===================================================================
--- testsuites/mptests/Makefile.am	(revision 64f55e7c32cb7a2ff069f527ec28b1cfa71de31a)
+++ testsuites/mptests/Makefile.am	(revision 1d9a2fc5abb83a5f37b10c63da8ccaf6ce0bda47)
@@ -6,17 +6,8 @@
 ACLOCAL_AMFLAGS = -I $(RTEMS_TOPdir)/aclocal
 
-project_bspdir=$(PROJECT_ROOT)/@RTEMS_BSP@
+SUBDIRS = mp01 mp02 mp03 mp04 mp05 mp06 mp07 mp08 mp09 mp10 mp11 mp12 mp13 \
+    mp14
 
-PREINSTALLDIRS = \
-    $(project_bspdir)/tests/screens/mptests \
-    $(project_bspdir)/tests/screens/mptests/node1 \
-    $(project_bspdir)/tests/screens/mptests/node2
-$(PREINSTALLDIRS):
-	@$(mkinstalldirs) $@
-
-all-local: $(PREINSTALLDIRS)
-
-SUBDIRS = . mp01 mp02 mp03 mp04 mp05 mp06 mp07 mp08 mp09 mp10 mp11 mp12 mp13 \
-    mp14
+EXTRA_DIST = mptests.am
 
 include $(top_srcdir)/../../../../automake/subdirs.am
Index: testsuites/tmitrontests/Makefile.am
===================================================================
--- testsuites/tmitrontests/Makefile.am	(revision 64f55e7c32cb7a2ff069f527ec28b1cfa71de31a)
+++ testsuites/tmitrontests/Makefile.am	(revision 1d9a2fc5abb83a5f37b10c63da8ccaf6ce0bda47)
@@ -6,16 +6,10 @@
 ACLOCAL_AMFLAGS = -I $(RTEMS_TOPdir)/aclocal
 
-project_bspdir = $(PROJECT_ROOT)/@RTEMS_BSP@
-
-PREINSTALLDIRS = $(project_bspdir)/tests/screens/psxtests
-$(PREINSTALLDIRS):
-	@$(mkinstalldirs) $@
-
-all-local: $(PREINSTALLDIRS)
-
 ITRON_DIRS = include tmitronsem01
 
 SUBDIRS = $(ITRON_DIRS)
 
+EXTRA_DIST = tmitrontests.am
+
 include $(top_srcdir)/../../../../automake/subdirs.am
 include $(top_srcdir)/../../../../automake/local.am
Index: testsuites/tmitrontests/include/timesys.h
===================================================================
--- testsuites/tmitrontests/include/timesys.h	(revision 64f55e7c32cb7a2ff069f527ec28b1cfa71de31a)
+++ testsuites/tmitrontests/include/timesys.h	(revision 1d9a2fc5abb83a5f37b10c63da8ccaf6ce0bda47)
@@ -19,7 +19,8 @@
  *   How many times a particular operation is performed while timed.
  */
- 
+
+#ifndef OPERATION_COUNT 
 #define OPERATION_COUNT 100
-#define IT_COUNT        100
+#endif
 
 /* functions */
Index: testsuites/tmtests/include/timesys.h
===================================================================
--- testsuites/tmtests/include/timesys.h	(revision 64f55e7c32cb7a2ff069f527ec28b1cfa71de31a)
+++ testsuites/tmtests/include/timesys.h	(revision 1d9a2fc5abb83a5f37b10c63da8ccaf6ce0bda47)
@@ -36,5 +36,5 @@
 #define put_time( _message, _total_time, \
                   _iterations, _loop_overhead, _overhead ) \
-    printf( \
+    fprintf( stderr, \
       "%s %d\n", \
       (_message), \
Index: testsuites/tmtests/tm20/Makefile.am
===================================================================
--- testsuites/tmtests/tm20/Makefile.am	(revision 64f55e7c32cb7a2ff069f527ec28b1cfa71de31a)
+++ testsuites/tmtests/tm20/Makefile.am	(revision 1d9a2fc5abb83a5f37b10c63da8ccaf6ce0bda47)
@@ -19,5 +19,5 @@
 
 SRCS = $(DOCS) $(C_FILES) $(H_FILES)
-OBJS = $(C_O_FILES) ../../$(ARCH)/stubdr.rel
+OBJS = $(C_O_FILES) ../../support/stubdr/$(ARCH)/stubdr.rel
 
 PRINT_SRCS = $(DOCS)
